#
# spec file for package grabpng
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           grabpng
Version:        20100910
Release:        3.3
Summary:        Sprite position adjuster for PNG files
License:        GPL-3.0
Group:          Productivity/Graphics/Other
# The project page (Source2) says GPL3. There is no other reference to it.
Url:            http://code.google.com/p/grabpng/

#Origin-SVN:	http://grabpng.googlecode.com/svn
#Git-Clone:	git://git.inai.de/zdoom # grabpng-dev
#^(extra patches)
Source:         grabpng-%version.tar.xz
Source2:        index.html
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  xz
%if !0%{?without_fltk}
BuildRequires:  fltk-devel
%endif

%description
grabpng allows to change the PNG "GRAB" and "ALPH" chunks used by
ZDoom.

%prep
%setup -qn %name

%build
if [ ! -e configure ]; then
	./autogen.sh || exit 1
fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
cp "%_sourcedir/index.html" .

%files
%defattr(-,root,root)
%_bindir/*
%doc index.html

%changelog
* Wed May 16 2012 jreidinger@suse.com
- fix build on factory
- format license to conform spdx
* Fri Sep 10 2010 jengelh@medozas.de
- Enable FLTK frontend
* Wed Jul 28 2010 jengelh@medozas.de
- Split up zdoom package into its components
- grabpng
